#938 NetRexx Plugin 1.0.0

None
closed-accepted
Alan Ezust
None
5
2014-04-09
2014-03-31
Kermit Kiser
No

{{{ NetRexx 1.0.0
Source: Source code is in SVN with the tag 1.0.0
Announcement: The NetRexx Plugin supports interpreting or compiling and running NetRexx programs, scripts and macros from jEdit. It replaces earlier NetRexx plugins NetRexxJe, NetRexxDE, and NetRexxScript. This version (1.0.0) is the initial Plugin Central release.
Requires Java 1.5+
Requires jEdit 04.03.03.00+
Optional plugins:
Common Controls 0.2+ (CommonControlsPlugin)
Console 4.5+ (console.ConsolePlugin)
ErrorList 1.5+ (errorlist.ErrorListPlugin)
SideKick 0.1+ (sidekick.SideKickPlugin)

Short Description: NetRexx Developer Tools

Long Description:

<head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
NetRexx Plugin 1.0.0
</head>
<body>
The NetRexx Plugin replaces earlier plugins NetRexxJe, NetRexxDE and
NetRexxScript.



NetRexx Plugin feature highlights:




  •      Compile and run or interpret NetRexx programs, scripts and macros from jEdit

  •      Interpret a currently open NetRexx file including any unsaved changes

  •      Dockable console window with command line to view say output or respond to ask input

  •      View output with or without trace from the console window to aid in debugging programs

  •      Errors are automatically shown in source files, the "Error List", and in the console window

  •      A "classpath" option makes Java classes available to NetRexx programs

  •      Run compiled NetRexx scripts or Java class files as macros or console commands

  •      Includes the "NetRexx at Once" cross reference guide to Java and NetRexx

  •      Includes an Ant based IDE for developing Android programs in NetRexx

  •      Compile and run simple Java programs


</body>

}}}

Discussion

  • Alan Ezust
    Alan Ezust
    2014-03-31

    Wow, did you really test this on jEdit 4.3 for API compatibility?
    When we package/release it, we will be testing against jEdit 5.0 or 5.1
    Also, after the release, should we just hide the other netrexx plugins you released previously or set a max jEdit version on them?

     
  • Kermit Kiser
    Kermit Kiser
    2014-04-01

    • Status: open --> pending
     
  • Kermit Kiser
    Kermit Kiser
    2014-04-04

    OK, I think this is ready to go at tag "1.0.0forJava8". If I build it with Java 6, it seems to work with Java6, 7 and 8. I had a little trouble getting jEdit to run with the older Java versions on Windows 7 - it seems to always use the latest version unless you start it with java -jar...

     
  • Kermit Kiser
    Kermit Kiser
    2014-04-04

    • Status: pending --> open
     
  • Alan Ezust
    Alan Ezust
    2014-04-09

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,4 +1,3 @@
    -
     {{{ NetRexx 1.0.0
         Source: Source code is in SVN with the tag 1.0.0
         Announcement: The NetRexx Plugin supports interpreting or compiling and running NetRexx programs, scripts and macros from jEdit. It replaces earlier NetRexx plugins NetRexxJe, NetRexxDE, and NetRexxScript. This version (1.0.0) is the initial Plugin Central release.
    
    • assigned_to: Alan Ezust
     
  • Alan Ezust
    Alan Ezust
    2014-04-09

    • status: open --> closed-accepted
     
  • Alan Ezust
    Alan Ezust
    2014-04-09

    released to plugin central.